#include "cEsc.hpp"

/*** SDL Header Files ***/
#include "SDL.h"

/*** Custom Header Files ***/
#include "../cMainMenu.hpp"
#include "../eOptions.hpp"

using Input::cEsc;

using MainMenu::eOptions;

cEsc::cEsc( SDL_Keycode key, MainMenu::cMainMenu** menu )
: cKey(key), mpp_menu(menu)
{}

/*cEsc::cEsc( const cEsc& copy )
{}*/

cEsc::~cEsc()
{}

///Funtions
void cEsc::KeyPress()
{
}

void cEsc::KeyUP()
{
}

void cEsc::KeyDown()
{
	if (mpp_menu != nullptr && *mpp_menu != nullptr)
	{
		(*mpp_menu)->setOption(eOptions::Quit);
		(*mpp_menu)->OptionSelect();
	}
}